sc::SOBasis(3)

NAME
sc::SOBasis - A SOBasis object describes the transformation from an atomic orbital basis to a symmetry orbital basis.

SYNOPSIS

#include <sobasis.h>

Inherits sc::RefCount.

  Public Methods
SOBasis (const Ref< GaussianBasisSet > &, const Ref< Integral > &)
Create an SOBasis object given a GaussianBasisSet and Integral objects.
~SOBasis ()
int nshell () const
Return the number of shells.
int nirrep () const
Return the number of irreps.
int ncomponent (int iirrep) const
int nfunction_in_irrep (int irrep) const
Return the number of functions in the given irrep.
int function_offset_for_irrep (int irrep) const
Return the offset for the first function of the given irrep.
int nfunction (int ishell) const
Return the number of functions in the given shell.
int naofunction (int ishell) const
Return the number of functions in the AO shell that make up the given SO shell.
int nfunction (int ishell, int iirrep) const
Returns the number of functions in the shell in a given irrep.
int max_nfunction_in_shell () const
Returns the maximum number of functions in a shell (summed over all irreps).
int function_offset_within_shell (int ishell, int iirrep) const
Normally, SO shell numbering starts at zero within each irrep.
int function (int ishell)
Convert the SO shell number to the overall number of the first function within that shell.
int irrep (int ishell, int ifunc) const
Convert SO shell and function number within shell to irrep.
int function_within_irrep (int ishell, int ifunc) const
Convert SO shell and function number to number within irrep.
const SOTransform & trans (int i) const
Return the SOTransform object for the given shell.
void print (std::ostream &o=ExEnv::out0()) const

  Protected Attributes
Ref< GaussianBasisSet > basis_
int nshell_
int nirrep_
int * ncomp_
int ** nfunc_
int * naofunc_
int ** funcoff_
int * nfunc_in_irrep_
int * func_
int * irrep_
int * func_within_irrep_
SOTransform * trans_

DETAILED DESCRIPTION

A SOBasis object describes the transformation from an atomic orbital basis to a symmetry orbital basis.

MEMBER FUNCTION DOCUMENTATION

  int sc::SOBasis::function_offset_within_shell (int ishell, int iirrep) const [inline]

Normally, SO shell numbering starts at zero within each irrep.

This returns an offset to make SO shell numbers unique within the shell.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.